Bug 56957 - WebKit2: Flashing when entering and exiting full screen mode
Summary: WebKit2: Flashing when entering and exiting full screen mode
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh All
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-03-23 13:19 PDT by Jer Noble
Modified: 2011-05-20 06:36 PDT (History)
2 users (show)

See Also:


Attachments
Patch (9.89 KB, patch)
2011-05-18 01:55 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2011-03-23 13:19:42 PDT
When the full screen animation completes, the full screen window flashes before setting the full screen element's background color to black.
Comment 1 Jer Noble 2011-03-23 13:20:00 PDT
<rdar://problem/9177012>
Comment 2 Jer Noble 2011-05-18 01:55:38 PDT
Created attachment 93885 [details]
Patch
Comment 3 Adam Roben (:aroben) 2011-05-18 10:56:31 PDT
Do we need to do something similar on Windows?
Comment 4 Jer Noble 2011-05-18 11:09:09 PDT
(In reply to comment #3)
> Do we need to do something similar on Windows?

Yes.  We should probably wait for a repaint to complete before beginning the "fade in" animation.
Comment 5 Maciej Stachowiak 2011-05-19 13:11:05 PDT
Comment on attachment 93885 [details]
Patch

r=me
Comment 6 WebKit Commit Bot 2011-05-19 22:31:19 PDT
Comment on attachment 93885 [details]
Patch

Clearing flags on attachment: 93885

Committed r86924: <http://trac.webkit.org/changeset/86924>
Comment 7 WebKit Commit Bot 2011-05-19 22:31:24 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Adam Roben (:aroben) 2011-05-20 05:36:44 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > Do we need to do something similar on Windows?
> 
> Yes.  We should probably wait for a repaint to complete before beginning the "fade in" animation.

Do we have a bug for Windows?
Comment 9 Jer Noble 2011-05-20 06:36:17 PDT
(In reply to comment #8)
> Do we have a bug for Windows?

We do: https://bugs.webkit.org/show_bug.cgi?id=61108